aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/traits/Manifest1
-rw-r--r--dev-python/traits/traits-5.1.0.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/traits/Manifest b/dev-python/traits/Manifest
index 961583d00..7717e3f0d 100644
--- a/dev-python/traits/Manifest
+++ b/dev-python/traits/Manifest
@@ -1,3 +1,4 @@
DIST traits-4.5.0.tar.gz 4853612 BLAKE2B 6c3d83718751de1e0553487a45d073c285ada96686558133fe61472c29c3d4661e1c0bce68340bada9667f3f9e0c8ed11050a714bc0c55424dbd4ebd17e3ad8e SHA512 d506b4395395898eb824896d299bfcde609e100025cf9a55cd7d7c47615545efd3b007e46549e564fbfb2d5882b36ae676843f211f168b2557c504849c5ef582
DIST traits-4.6.0.tar.gz 434937 BLAKE2B 91d457b411f78b74a077f3bfaa8e3f627d0ddb959784ba0ce9e07e3fc8b76cddcaee1fd7293d8336c4fc0630d49527fd29e1a9ccba6b724846069f6282c643e8 SHA512 0fce336696e4cbb1d4ba63a07ad42867cb179a9efa6c348623036bd6d2eb791302539ae89994b11acd5a9f1be42a0febeb517db1716342b78aa71ca1277fde99
DIST traits-5.0.0.tar.gz 437001 BLAKE2B bfc9c69e4abbc341aaf8a62efcd443933097ce0612a5c6f98c2d16c7e21825f94d8fee0ec9cfbd7b30d406e68d4e006a3a12f629d507856c93093851334929cd SHA512 11e3b9b1f12d73df037fa95e4a5e48de7b7968a9598225a6c8de33e6250ff51c6b5ed056c0b55d90132139cb83b2b19121254152023408cb036c93971d3fa0e6
+DIST traits-5.1.0.tar.gz 436687 BLAKE2B c46deb168019a8c3039f11104e55051068803cedf29de91b36a1020e03e842202874c60cf24134a5ef95afdced11195ec85e0514211ed23fe2a81625e76ef4bb SHA512 b267fefa97da1aced3cb9937e2cb50c7dd86b93da6d77edf2e12b44c854505cfef1077679f0a8652119b42356b5e8f1be47d7ae41915bbec21c559db212cb0ca
diff --git a/dev-python/traits/traits-5.1.0.ebuild b/dev-python/traits/traits-5.1.0.ebuild
new file mode 100644
index 000000000..5685ceeb5
--- /dev/null
+++ b/dev-python/traits/traits-5.1.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Enthought Tool Suite: Explicitly typed attributes for Python"
+HOMEPAGE="http://docs.enthought.com/traits/
+ https://github.com/enthought/traits
+ https://pypi.org/project/traits/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ ${RDEPEND}
+ )"
+
+python_prepare_all() {
+ sed -i -e "s/'-O3'//g" setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ python_is_python3 || local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+ distutils-r1_python_compile
+}
+
+python_test() {
+ cd "${BUILD_DIR}"/lib || die
+ nosetests || die
+}